{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": 1,
   "metadata": {},
   "outputs": [],
   "source": [
    "#add relative path to backend\n",
    "import sys\n",
    "sys.path.append('../../clean_diag/backend')\n",
    "\n",
    "import trap_units as si"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "A simple lens with f=30mm requires frequency spacing: $ \\Delta \\nu \\approx \\frac{v_s}{\\lambda f} \\Delta d $"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "frequency difference: 186.842 kHz\n"
     ]
    }
   ],
   "source": [
    "print(f\"frequency difference: {4260*si.m/si.s / (532*si.nm * 30*si.mm) * 700*si.nm  /si.kHz:.3f} kHz\")"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "In Kaufmann paper they report function spacing of 0.209(3)um/MHz\n",
    "\n",
    "For our spacing >700nm this means:"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 3,
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "frequency difference: 3349.282 kHz\n"
     ]
    }
   ],
   "source": [
    "print(f\"frequency difference: {0.7*si.um /(0.209*si.um/si.MHz) /si.kHz:.3f} kHz\")"
   ]
  },
  {
   "cell_type": "markdown",
   "metadata": {},
   "source": [
    "Try to reproduce their function spacing: $\\lambda f / v_s$:\n",
    "\n",
    "Only found the working distance, so assume it's close to focal length.\n",
    "\n",
    "Factor 20 comes from 20x beam expander in front of objective."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 8,
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "function spacing: 0.2100 um/MHz\n"
     ]
    }
   ],
   "source": [
    "print(f\"function spacing: {852*si.nm * 21*si.mm / (4260*si.m/si.s) /(si.um/si.MHz) /20:.4f} um/MHz\")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "base",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.12.3"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
